using Autofac;
using e_suite.DependencyInjection;

namespace e_suite.API.Common;

public class IocRegistration : IIocRegistration
{
    public void RegisterTypes(ContainerBuilder builder)
    {
        builder.RegisterType<PatchFactory>().As<IPatchFactory>().InstancePerLifetimeScope();
    }
}